package org.ids_mannheim;

import java.util.concurrent.ConcurrentHashMap;

public class ColumnAdder implements Runnable {
    private final ConcurrentHashMap<String, FoldedEntry> map;
    private final int fold;
    private long[] columnSums;

    public ColumnAdder(ConcurrentHashMap<String, FoldedEntry> map, int fold, long[] columnSums) {
        this.map = map;
        this.fold = fold;
        this.columnSums = columnSums;
    }
    @Override
    public void run() {
        columnSums[fold] = map.values().stream().mapToLong(e -> e.count.get(fold)).sum();
    }
}
